A FreeCAD workbench for creating CNC (or laser) constructions. It uses Assembly4 to mark locations for tabs or fingers.

# Wish list
* Basic functionality!
* LCS/Axis creates tab/finger at that location
* Planes create linear array along interface
* Sketch to define custom tab/slot profile
* automatic supports/angle attachments

## Data

### All
* sketch

### Linear
* count
* end offsets ?

# Profile Sketch, automatic width/depth matching
It would be nice if the profile Sketch can be variable in order to automatically handle different
stock depths. The Profile would need a common definition, likely start at origin (0,0,0) with one
line traveling +X and another in -Z. These line could be either; unconstrained, allowing the WB to
set their length and have the rest of the sketch constrained non-numerically. Use a ratio based
pseudo-unit; 1(ignoring mm) would take the exact thickness of the attached part, 0.5 would be half.
All constraints in the model would be scaled to real world units based on these percents.

# Automatic angle attachments
In cases where two parts are not attached perpendicular to one another an angled attachment piece
would be required. In some cases this should be able to be created automatically.
